Redmine - Feature #39528

Change mention link color for users without access to view issues
2023-11-08 08:14 - Mizuki ISHIKAWA

Status: New Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

| propose a feature enhancement for better visibility regarding user permissions and mention notifications. Currently, when a user
who does not have the permission to view a particular issue is mentioned, they do not receive a mention notification email. However,
this is not visually apparent since the mention link looks identical to others, potentially leading to confusion over whether a notification
was sent.

To improve clarity, | suggest altering the background color of mention links for users who cannot view the issue. This visual cue
would instantly inform others that the mentioned individual may not be notified due to permission restrictions.

Related issues:

Related to Redmine - Feature #39529: Add tooltips for clarifying non-notifiab... Needs feedback
Related to Redmine - Feature #13919: Mention user on issues and wiki pages us... Closed
History

#1 - 2023-11-08 08:16 - Mizuki ISHIKAWA
- File feature-39528.patch added
- File screenshot.png added

After applying the attached patch, the background colour of the mentions link changes according to access rights as follows.
screenshot.png

#2 - 2023-11-08 09:45 - Mizuki ISHIKAWA
- File feature-39528.patch added

Minor bugs fixed.
And | created an additional issue because | thought it was likely that just changing the colour in this issue would not convey the intention. (#39529)

#3 - 2024-01-04 03:03 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2024-08-22 10:46 - Go MAEDA

- Related to Feature #39529: Add tooltips for clarifying non-notifiable user mentions added

#5 - 2024-11-12 12:29 - Marius BALTEANU
- Assignee set to Marius BALTEANU

#6 - 2025-03-30 11:14 - Marius BALTEANU

- Related to Feature #13919: Mention user on issues and wiki pages using @user with autocomplete added

Files

feature-39528.patch 1.48 KB 2023-11-08 Mizuki ISHIKAWA
screenshot.png 60.2 KB 2023-11-08 Mizuki ISHIKAWA
feature-39528.patch 1.49 KB 2023-11-08 Mizuki ISHIKAWA
